package net.sjava.cassandra.util;

import java.nio.ByteBuffer;

import org.apache.cassandra.thrift.Column;

/**
 * ÷ ִ ƿƼ Ŭ 
 * 
 * @author mcsong@gmail.com
 *
 */
public class ColumnUtil {

	/**
	 * Column ü ؼ ȯѴ.
	 * @param name
	 * @param value
	 * @param timestamp
	 * @return
	 */
	public static Column createColumn(byte[] name, byte[] value, Long timestamp) {
		Column column = new Column();
		column.setName(name);
		column.setValue(value);
		column.setTimestamp(timestamp);
				
		return column;
	}
	
	/**
	 *  Column ü ؼ ȯѴ.
	 * @param name
	 * @param value
	 * @param timestamp
	 * @return
	 */
	public static Column createColumn(byte[] name, long value, Long timestamp) {
		Column column = new Column();
		column.setName(name);
		
		// long type̶ 8byte ũ ´. 
		ByteBuffer valBuffer = ByteBuffer.allocate(8);
		valBuffer.putLong(value);
		valBuffer.flip();
		
		column.setValue(valBuffer);
		column.setTimestamp(timestamp);
		return column;
	}
	
}
